<?php

namespace Bixo\Faq;

use DB;
use Illuminate\Database\Seeder;

class CategoriesTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('categories')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'faq.categories.view',
                'name'      => 'View Categories',
            ],
            [
                'slug'      => 'faq.categories.create',
                'name'      => 'Create Categories',
            ],
            [
                'slug'      => 'faq.categories.edit',
                'name'      => 'Update Categories',
            ],
            [
                'slug'      => 'faq.categories.delete',
                'name'      => 'Delete Categories',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/faq/categories',
                'name'        => 'Categories',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/faq/categories',
                'name'        => 'Categories',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'categories',
                'name'        => 'Categories',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Faq',
                'module'    => 'Categories',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'faq.categories.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
